Bug 175563 - [new port]: devel/avro-cpp Data serialization system for C++
[new port]: devel/avro-cpp Data serialization system for C++
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 19:20 UTC by g.veniamin
Modified: 2013-01-27 14:40 UTC (History)
0 users

See Also:


Attachments
file.shar (3.97 KB, text/plain)
2013-01-25 19:20 UTC, g.veniamin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description g.veniamin 2013-01-25 19:20:00 UTC
Avro is a data serialization system.

Avro provides:
* Rich data structures.
* A compact, fast, binary data format.
* A container file, to store persistent data.
* Remote procedure call (RPC).
* Simple integration with dynamic languages. Code generation is not
required to read or write data files nor to use or implement RPC
protocols. Code generation as an optional optimization, only worth
implementing for statically typed languages.
Comment 1 dfilter freebsd_committer 2013-01-27 14:31:51 UTC
Author: vanilla
Date: Sun Jan 27 14:31:37 2013
New Revision: 311069
URL: http://svnweb.freebsd.org/changeset/ports/311069

Log:
  Add avro-cpp 1.7.3, data serialization system for C++.
  
  PR:		ports/175563
  Submitted by:	Gvozdikov Veniamin <g.veniamin@googlemail.com>

Added:
  head/devel/avro-cpp/
  head/devel/avro-cpp/Makefile   (contents, props changed)
  head/devel/avro-cpp/distinfo   (contents, props changed)
  head/devel/avro-cpp/files/
  head/devel/avro-cpp/files/patch-lang_c++_CMakeLists.txt   (contents, props changed)
  head/devel/avro-cpp/pkg-descr   (contents, props changed)
  head/devel/avro-cpp/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Sun Jan 27 14:29:10 2013	(r311068)
+++ head/devel/Makefile	Sun Jan 27 14:31:37 2013	(r311069)
@@ -105,6 +105,7 @@
     SUBDIR += avra
     SUBDIR += avrdude
     SUBDIR += avro-c
+    SUBDIR += avro-cpp
     SUBDIR += baz
     SUBDIR += bcc
     SUBDIR += bcpp

Added: head/devel/avro-cpp/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/avro-cpp/Makefile	Sun Jan 27 14:31:37 2013	(r311069)
@@ -0,0 +1,23 @@
+# Created by: Gvozdikov Veniamin <g.veniamin@googlemail.com>
+# $FreeBSD$
+
+PORTNAME=	avro
+PORTVERSION=	1.7.3
+CATEGORIES=	devel
+MASTER_SITES=	APACHE
+MASTER_SITE_SUBDIR=	${PORTNAME}/stable
+PKGNAMESUFFIX=	-cpp
+DISTNAME=	${PORTNAME}-src-${PORTVERSION}
+
+MAINTAINER=	g.veniamin@googlemail.com
+COMMENT=	Data serialization system for C++
+
+LIB_DEPENDS=	boost_regex:${PORTSDIR}/devel/boost-libs
+
+USE_CMAKE=	yes
+USE_LDCONFIG=	yes
+USE_PYTHON=	yes
+
+WRKSRC=		${WRKDIR}/${DISTNAME}/lang/c++
+
+.include <bsd.port.mk>

Added: head/devel/avro-cpp/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/avro-cpp/distinfo	Sun Jan 27 14:31:37 2013	(r311069)
@@ -0,0 +1,2 @@
+SHA256 (avro-src-1.7.3.tar.gz) = edf23ba0626cf648008357c7f9fb2d1e0b0eaeacce76ecd001eaa198484e9833
+SIZE (avro-src-1.7.3.tar.gz) = 1924413

Added: head/devel/avro-cpp/files/patch-lang_c++_CMakeLists.txt
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/avro-cpp/files/patch-lang_c++_CMakeLists.txt	Sun Jan 27 14:31:37 2013	(r311069)
@@ -0,0 +1,11 @@
+--- CMakeLists.txt.orig	2013-01-23 17:54:48.749109982 +0400
++++ CMakeLists.txt	2013-01-23 17:55:17.681543294 +0400
+@@ -86,7 +86,7 @@
+     APPEND PROPERTY COMPILE_DEFINITIONS AVRO_SOURCE)
+ 
+ set_target_properties (avrocpp PROPERTIES
+-    VERSION ${AVRO_VERSION_MAJOR}.${AVRO_VERSION_MINOR})
++    VERSION ${AVRO_VERSION_MINOR})
+ 
+ set_target_properties (avrocpp_s PROPERTIES
+     VERSION ${AVRO_VERSION_MAJOR}.${AVRO_VERSION_MINOR})

Added: head/devel/avro-cpp/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/avro-cpp/pkg-descr	Sun Jan 27 14:31:37 2013	(r311069)
@@ -0,0 +1,13 @@
+Avro is a data serialization system.
+
+Avro provides:
+* Rich data structures.
+* A compact, fast, binary data format.
+* A container file, to store persistent data.
+* Remote procedure call (RPC).
+* Simple integration with dynamic languages. Code generation is not
+required to read or write data files nor to use or implement RPC
+protocols. Code generation as an optional optimization, only worth
+implementing for statically typed languages.
+
+WWW: http://avro.apache.org/

Added: head/devel/avro-cpp/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/avro-cpp/pkg-plist	Sun Jan 27 14:31:37 2013	(r311069)
@@ -0,0 +1,44 @@
+bin/avrogencpp
+include/avro/AvroParse.hh
+include/avro/AvroSerialize.hh
+include/avro/AvroTraits.hh
+include/avro/Boost.hh
+include/avro/Compiler.hh
+include/avro/Config.hh
+include/avro/DataFile.hh
+include/avro/Decoder.hh
+include/avro/Encoder.hh
+include/avro/Exception.hh
+include/avro/Generic.hh
+include/avro/Layout.hh
+include/avro/Node.hh
+include/avro/NodeConcepts.hh
+include/avro/NodeImpl.hh
+include/avro/Parser.hh
+include/avro/Reader.hh
+include/avro/Resolver.hh
+include/avro/ResolverSchema.hh
+include/avro/ResolvingReader.hh
+include/avro/Schema.hh
+include/avro/SchemaResolution.hh
+include/avro/Serializer.hh
+include/avro/Specific.hh
+include/avro/Stream.hh
+include/avro/Types.hh
+include/avro/ValidSchema.hh
+include/avro/Validator.hh
+include/avro/Writer.hh
+include/avro/Zigzag.hh
+include/avro/buffer/Buffer.hh
+include/avro/buffer/BufferPrint.hh
+include/avro/buffer/BufferReader.hh
+include/avro/buffer/BufferStream.hh
+include/avro/buffer/BufferStreambuf.hh
+include/avro/buffer/detail/BufferDetail.hh
+include/avro/buffer/detail/BufferDetailIterator.hh
+lib/libavrocpp.so
+lib/libavrocpp.so.0
+lib/libavrocpp_s.a
+@dirrm include/avro/buffer/detail
+@dirrm include/avro/buffer
+@dirrm include/avro
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Vanilla I. Shu freebsd_committer 2013-01-27 14:34:25 UTC
State Changed
From-To: open->closed

Committed, thanks.